Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
hmi::ExternalBeeper Interface Reference

External Beeper interface. More...

## Classes
struct | StateChangedEvent
| Event: beeper state has changed. More...

## Public Types
enum | State { OFF , ON , ALARMING }
| Beeper state. More...

## Public Member Functions
State | getState ()
| Get current beeper state.
void | alarm ()
| Start beeper alarm.
void | on ()
| Turn beeper on.
void | off ()
| Turn beeper off.

## Detailed Description

External Beeper interface.

Definition at line 17 of file ExternalBeeper.idl.

## Member Enumeration Documentation

## ◆ State

enum hmi::ExternalBeeper::State

Beeper state.

Definition at line 21 of file ExternalBeeper.idl.

## Member Function Documentation

## ◆ alarm()

void hmi::ExternalBeeper::alarm | ( |  | ) |

Start beeper alarm.

Starts and repeats an alarm sequence of beeper on and beeper off. The sequence will be infinitely repeated until "off" is called.

## ◆ off()

void hmi::ExternalBeeper::off | ( |  | ) |

Turn beeper off.

Disables beeper sound and also stops beeper alarm.

## ◆ on()

void hmi::ExternalBeeper::on | ( |  | ) |

Turn beeper on.

Enables the beeper sound.

The documentation for this interface was generated from the following file:

- ExternalBeeper.idl